# -*- coding: utf-8 -*-
from pynameday.core import NamedayMixin


class Austria(NamedayMixin):
    """Austrian namedays"""
    NAMEDAYS = (
        # january
        ('Neujahr', 'Basilius', 'Genoveva', 'Angela', 'Emilie',
         'Heilige 3 Könige', 'Raimund v. P.', 'Severin, Erhard',
         'Julian, Eberhard', 'Gregor X.', 'Taufe Jesu', 'Ernst',
         'Jutta, Gottfried', 'Felix v. N.', 'Gabriel v. F.', 'Theobald',
         'Antonius', 'Regina', 'Marius, Mario', 'Fabian, Sebastian', 'Agnes',
         'Vinzenz, Walter', 'Heinrich S.', 'Franz v. S.', 'Pauli Bekehrung',
         'Timotheus, Titus', 'Angela M.', 'Thomas v. A.', 'Valerius',
         'Martina', 'Johannes Bosco'),

        # february
        ('Brigitta v. K.', 'Mariä Lichtmess', 'Blasius', 'Andreas C.',
         'Agatha', 'Dorothea', 'Richard K.', 'Hieronymus', 'Apollonia, Erich',
         'Wilhelm d. Gr.', 'Theodor', 'Reginald', 'Gerlinde', 'Valentin',
         'Siegfried', 'Philippa', 'Alexius', 'Konstantia', 'Bonifatius',
         'Leo d. W.', 'Petrus Dam.', 'Petri Stuhlfeier', 'Romana', 'Mathias',
         'Walpurga', 'Alexander', 'Leander, Gabriel', 'Roman', None),

        # march
        ('Albin, Rüdiger', 'Karl, Agnes', 'Friedrich', 'Kasimir',
         'Gerda, Diemar', 'Coletta, Fridolin', 'Reinhard', 'Johannes v. G.',
         'Franziska v. R.', 'Emil, Gustav', 'Theresia R.', 'Maximilian',
         'Gerald, Paulina', 'Mathilde', 'Klemens M. H.', 'Hilarius v. A.',
         'Getrud', 'Eduard', 'Josev, Nährv. Jesu', 'Claudia, Irmgard',
         'Alexandra', 'Lea, Elmar', 'Otto v. A.', 'Katharina v. Schw.',
         'Verkündung des Herrn', 'Emmanuel', 'Frowin, Haimo', 'Johanna v. M.',
         'Berthold v. K.', 'Amadeus v. S.', 'Cornelia'),

        # april
        ('Hugo, Irene', 'Sandra', 'Richard', 'Isidor', 'Vinzenz Ferr.',
         'Sixtus I. Cölestin', 'Johann Bapt. de la Salle', 'Walter, Beate',
         'Waltraud', 'Engelbert v. A.', 'Stanislaus', 'Julius, Hertha',
         'Martin I., Ida v B.', 'Tiburtius', 'Waltmann', 'Bernadette',
         'Eberhard', 'Aja Apollonius', 'Leo IX., Gerold', 'Simon v. T.',
         'Konrad v. P., Anselm', 'Wolfhelm', 'Georg, Gerhard', 'Wilfried',
         'Markus, Erwin, Ev.', 'Trudpert', 'Petrus Can.', 'Ludwig v. M.',
         'Roswitha', 'Hildegard'),

        # may
        (None, 'Athanasius, Boris', 'Philipp, Jakob', 'Florian', 'Gotthard',
         'Valerian', 'Gisela', 'Ida, Désiré', 'Volkmar', 'Antonin', 'Gangolf',
         'Pankratius', 'Servatius', 'Bonifatius', 'Rupert, Sophie', 'Johannes',
         'Walter, Pascal', 'Erich', 'Cölestin V., Ivo', 'Elfriede',
         'Hermann, Josef', 'Rita, Julia', 'Renate', 'Vinzenz, Dagmar',
         'Gregor VII.', 'Philip N.', 'Augustin v. C.', 'Wilhelm', 'Maximin',
         'Ferdinand', 'Petronilla, Aldo'),

        # june
        ('Konrad, Silke', 'Armin, Eugen', 'Karl L., Silvia',
         'Franz C., Klothilde', 'Bonifaz', 'Norbert', 'Robert',
         'Medardus, Ilga', 'Ephräm, Gratia', 'Heinrich v. B., Diana',
         'Barnabas, Alice', 'Leo III., Johann v. S. F.', 'Antonius v. P.',
         'Burkhard, Gottschalk', 'Vitus, Veit', 'Benno v. M.',
         'Rainer, Adolf v. M.', 'Markus, Marcellianus', 'Juliana v. F.',
         'Adalbert, Florentina', 'Aloisius v. G.', 'Thomas M.', 'Edeltraud',
         'Johannes der Täufer', 'Dorothea, Eleonore', 'Johann, Paul',
         'Cyrill v. A., Harald', 'Irenäus, Diethild', 'Peter, Paul Judith',
         'Otto, Ernst v. P.'),

        # july
        ('Theobald', 'Mariä, Heimsuchung', 'Thomas, Raimund',
         'Elisabeth v. P.', 'Anton M. Zacc.', 'Maria Goretti', 'Willibald',
         'Eugen III., Edgar K.', 'Gottfried, Veronika', 'Knud, Engelbert',
         'Benedikt v. N., Oliver', 'Nabor, Felix', 'Heinrich II.', 'Roland',
         'Egon, Balduin', 'Maria v. B. K., Carmen', 'Alexius',
         'Friedrich, Arnold', 'Justa, Bernulf', 'Margareta', 'Daniel',
         'Maria Magdalena', 'Brigitta', 'Christophorus', 'Jakob, Thea, Ap.',
         'Anna, Joachim', 'Rudolf A.', 'Samuel, Viktor', 'Martha, Lucilla',
         'Ingeborg', 'Ignatius v. L.'),

        # august
        ('Alfons v. L.', 'Eusebius v. V., Stefan', 'Lydia, Benno v. E.',
         'Johannes M. V., Rainer', 'Oswald, Dominika', 'Christi Verklärung',
         'Albert', 'Dominikus, Gustav', 'Edith', 'Laurentius, Astrid',
         'Klara, Susanna', 'Hilaria', 'Gertrud v. A., Marco', 'Maximilian',
         'Mariä Himmelfahrt', 'Stefan v. U., Theodor', 'Hyazinth',
         'Helene, Claudia', 'Emilia B.', 'Bernhard v. Cl.', 'Pius X.',
         'Regina, Siegfried A.', 'Rosa v. L., Philipp B.', 'Isolde, Michaela',
         'Ludwig IX., Patricia', 'Margareta v. F.', 'Monika', 'Augustin',
         'Sabine, Beatrix v. A.', 'Herbert v. K., Felix', 'Raimund N.'),

        # september
        ('Verena, Ruth', 'René, Ingrid', 'Gregor d. Gr.', 'Rosalia, Ida',
         'Laurentius, Albert', 'Magnus, Beata', 'Regina, Ralph',
         'Mariä Geburt', 'Grogonius', 'Nikolaus v. T., Diethard', 'Helga',
         'Eberhard, Guido', 'Tobias', 'Kreuz-Erhöhung', 'Dolores, Melitta',
         'Ludmilla, Edith', 'Robert B., Lambert', 'Josef v. C.',
         'Wilma, Arnulf', 'Fausta, Candida', 'Matthäus', 'Moritz',
         'Helene D., Thekla', 'Rupert v. S.', 'Nikolaus v. Fl.', 'Eugenia',
         'Vinzenz v. P.', 'Wenzel v. B., Dietmar', 'Michael, Gabriel',
         'Hieronymus'),

        # october
        ('Theresia v. K. J.', 'Schutzengelfest', 'Ewald, Udo',
         'Franz v. Assisi, Edwin', 'Attila, Placidus', 'Bruno d. Karth.',
         'Markus I.', 'Simeon', 'Dionysius', 'Viktor v. X.', 'Bruno v. K.',
         'Maximilian, Horst', 'Eduard', 'Burkhard', 'Theresia v. A.',
         'Hedwig', 'Ignatuis v. A., Rudolf', 'Lukas', 'Paul v. Kr., Frieda',
         'Wendelin', 'Ursula', 'Kordula', 'Oda', 'Anton M. Cl.', 'Krispin',
         'Nationalfeiertag', 'Wolfhard', 'Simon, Judas, Thadd.', 'Hermelindis',
         'Alfons Rodr.', 'Wolfgang, Christoph'),

        # november
        ('Allerheiligen', 'Allerseelen', 'Hubert, Silvia', 'Karl Borr.',
         'Emmerich', 'Christina d. K.', 'Engelbert', 'Gottfried', 'Theodor',
         'Leo d. Gr., Andreas Av.', 'Martin v. T.', 'Emil, Christian', 'Eugen',
         'Alberich', 'Leopold von Österreich', 'Othmar, Edmund',
         'Gertrud, Hilda', 'Odo, Roman', 'Elisabeth von Th.', 'Edmund K.',
         'Gelasius I.', 'Cäcilia', 'Klemens I., Felicitas',
         'Chrysogonus, Flora', 'Katharina v. A.', 'Konrad', 'Oda, Modestus',
         'Gunther, Stephan d. J.', 'Friedrich v. R.', 'Andreas'),

        # december
        ('Blanka, Natalie', 'Bibiana', 'Franz, Xaver', 'Barbara', 'Gerald',
         'Nikolaus v. M.', 'Ambrosius', 'Mariä Empfängnis', 'Valerie',
         'Diethard', 'David, Daniel', 'Johanna F. v. Ch.', 'Lucia, Ottilie',
         'Franziska', 'Christiana, Nina', 'Adelheid', 'Lazarus, Jolanda',
         'Gatian', 'Urban V.', 'Eugen v. A.', 'Ingomar', 'Jutta, Marian',
         'Victoria', 'Heiliger Abend', 'Christtag', 'Stefanitag', 'Johannes',
         'Unschuldige, Kinder', 'Thomas B., Tamara', 'Hermine', 'Silvester'),
    )
